## opencpn-plugin-rtlsdr 0.14.1

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## Copyright:   
## License:     GPLv3+
##---------------------------------------------------------------------------
 
# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(rtlsdr_pi)
SET(PACKAGE_NAME rtlsdr_pi)
SET(VERBOSE_NAME RTLSDR)
SET(TITLE_NAME RTLSDR)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

MESSAGE (STATUS "*** Building ${PACKAGE_NAME} ***")

SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "14")

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_RTLSDR
            src/rtlsdr_pi.cpp
            src/rtlsdrDialog.cpp
            src/rtlsdrPrefs.cpp
            src/rtlsdrUI.cpp
            src/icons.cpp
	)
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_RTLSDR})

INCLUDE_DIRECTORIES(${PLUGIN_SOURCE_DIR}/src/libaudiofile)

INCLUDE("cmake/PluginInstall.cmake")

# note, we don't need to include some dll files if they are already included
# with a mingw opencpn, for now, copy them anyway (makes installer large)
IF(WIN32)
  IF(EXISTS ${CMAKE_SOURCE_DIR}/buildwin/bin)
    INSTALL(DIRECTORY buildwin/bin DESTINATION "${INSTALL_DIRECTORY}")
  ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/buildwin/bin)
ENDIF(WIN32)

INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-rtlsdr (0.14.1-0mx17+2) mx; urgency=medium

  * Set wxwidgest3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:26:48 -0700

opencpn-plugin-rtlsdr (0.14.1-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 16:59:26 -0700

opencpn-plugin-rtlsdr (0.14.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.


 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 16:51:36 -0700

opencpn-plugin-rtlsdr (0.14.1-0~xenial1) xenial; urgency=low

  * v0.14.1

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 28 Feb 2016 07:44:57 -0600

opencpn-plugin-rtlsdr (0.14.0-0~precise1) precise; urgency=low

  * v0.14

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:26:54 -0600

opencpn-plugin-rtlsdr (0.14.0-0~trusty1) trusty; urgency=low

  * v0.14

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:26:54 -0600

opencpn-plugin-rtlsdr (0.14.0-0~vivid1) vivid; urgency=low

  * v0.14

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:26:54 -0600

opencpn-plugin-rtlsdr (0.14.0-0~wily1) wily; urgency=low

  * v0.14

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:26:54 -0600

opencpn-plugin-rtlsdr (0.14.0-0~xenial1) xenial; urgency=low

  * v0.14

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 12:26:54 -0600

opencpn-plugin-rtlsdr (0.13.0-0~precise1) precise; urgency=low

  * v0.13

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:37:30 -0500

opencpn-plugin-rtlsdr (0.13.0-0~trusty1) trusty; urgency=low

  * v0.13

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:37:30 -0500

opencpn-plugin-rtlsdr (0.13.0-0~utopic1) utopic; urgency=low

  * v0.13

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:37:30 -0500

opencpn-plugin-rtlsdr (0.13.0-0~vivid1) vivid; urgency=low

  * v0.13

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:37:30 -0500

opencpn-plugin-rtlsdr (0.13.0-0~wily1) wily; urgency=low

  * v0.13

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:37:30 -0500

opencpn-plugin-rtlsdr (0.12.0-0~lucid1) lucid; urgency=low

  * v0.12.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:57:17 -0500

opencpn-plugin-rtlsdr (0.12.0-0~precise1) precise; urgency=low

  * v0.12.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:57:17 -0500

opencpn-plugin-rtlsdr (0.12.0-0~trusty1) trusty; urgency=low

  * v0.12.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:57:17 -0500

opencpn-plugin-rtlsdr (0.12.0-0~utopic1) utopic; urgency=low

  * v0.12.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:57:17 -0500

opencpn-plugin-rtlsdr (0.12.0-0~vivid1) vivid; urgency=low

  * v0.12.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:57:17 -0500

opencpn-plugin-rtlsdr (0.10.0-0~lucid1) lucid; urgency=low

  * v0.10.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:46:15 -0500

opencpn-plugin-rtlsdr (0.10.0-0~precise1) precise; urgency=low

  * v0.10.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:46:15 -0500

opencpn-plugin-rtlsdr (0.10.0-0~trusty1) trusty; urgency=low

  * v0.10.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:46:15 -0500

opencpn-plugin-rtlsdr (0.10.0-0~utopic1) utopic; urgency=low

  * v0.10.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:46:15 -0500

opencpn-plugin-rtlsdr (0.10.0-0~vivid1) vivid; urgency=low

  * v0.10.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 22 Apr 2015 13:46:15 -0500

=== debian/control ===
Source: opencpn-plugin-rtlsdr
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, 
	libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, 
	libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, 
	libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-rtlsdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
